package com.persagy.ztkencryptdecodedata.entity;

import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.http.websocketx.WebSocketServerHandshaker;
import lombok.Data;

import java.util.concurrent.BlockingQueue;

@Data
public class ChattingUser {

    public enum Type{
        edge,
        cloud
    }
    private String userId;

    private ChannelHandlerContext channelHandlerContext;

    private Type type;

    private  int port;

    private  String ip;

    private WebSocketServerHandshaker handshaker;

    private BlockingQueue<String> messageTcpSendQueue;

    private  Object ack ;
}
